package com.huimv.wine.mapper;

import com.huimv.wine.entity.Device;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.Date;

/**
 * <p>
 * 设备 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
public interface DeviceMapper extends BaseMapper<Device> {

    Device getByDeviceId(@Param(value = "seq") String seq);

        //addr=?, first=?, last=?, wine1=?, remain1=?, vpp1=?, wine2=?, remain2=?, vpp2=?, wine3=?, remain3=?, vpp3=?, wine4=?, remain4=?, vpp4=?, manager=?, mark=?, order=?, income=?
//    @Update("UPDATE device  SET  `last` =#{last} WHERE id=#{id}")
    void updateDeviceById(Device device);
}
